Retrieve an Apple Pass template
Roles
Analytics Events
/v2/credentials/compact/digital-pass/apple/templates/{id}Retrieves an existing Apple Pass template by providing its ID.
Analytic events
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_START
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_SUCCESS
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Apple Pass template ID
uuidApple Pass template ID
Response Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/compact/digital-pass/apple/templates/string"{
"id": "3812166c-ac9f-4e4e-96dd-c1336b5be378",
"passType": "apple",
"name": "Certificate of participation",
"metadata": {
"fileName": "certificate_of_participation.pkpass",
"teamIdentifier": "GH5P43ABC",
"passTypeIdentifier": "pass.myproject.participation.pk"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all Apple Pass templates GET
Retrieves a list of all Apple Pass template available on the tenant. ### **Analytic events** * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_LIST_START * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_LIST_FAIL
Update an Apple Pass template PUT
Updates an existing Apple Pass template by providing its ID and a `.zip` file. Refer to our [Design an Apple Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/apple-templates) guide for more information on how to design the template and how to structure the `.zip` file. ### **Analytic events** * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_START * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_SUCCESS * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_FAIL